Subject: Re: DMA to User-Space

From: "Chris Friesen" <[email-masked]>
Date: Fri, 06 Nov 2009 00:05:56 -0600

On 11/04/2009 11:50 AM, Jonathan Haws wrote:

> One more question about this approach: does the mmap() call prevent
> the kernel from using this memory for other purposes?  Will the
> kernel be able to "move" this memory elsewhere?  I guess what I am
> asking is if this memory is locked for all other purposes?

You've allocated the memory in the kernel and mapped it to userspace.
If the kernel uses that memory for anything else it will be visible to
userspace.

Chris